import board
import neopixel
import time
import random
from adafruit_led_animation.animation.blink import Blink
from adafruit_led_animation.animation.colorcycle import ColorCycle
from adafruit_led_animation.animation.chase import Chase
from adafruit_led_animation.animation.comet import Comet
from adafruit_led_animation.animation.pulse import Pulse
from adafruit_led_animation.animation.sparkle import Sparkle
from adafruit_led_animation.animation.SparklePulse import SparklePulse
from adafruit_led_animation.animation.rainbow import Rainbow
from adafruit_led_animation.animation.rainbowchase import RainbowChase
from adafruit_led_animation.sequence import AnimationSequence
from adafruit_circuitplayground import cp
from adafruit_led_animation.color import (
    AMBER, #(255, 100, 0)
    AQUA, # (50, 255, 255)
    BLACK, #OFF (0, 0, 0)
    BLUE, # (0, 0, 255)
    CYAN, # (0, 255, 255)
    GOLD, # (255, 222, 30)
    GREEN, # (0, 255, 0)
    JADE, # (0, 255, 40)
    MAGENTA, #(255, 0, 20)
    OLD_LACE, # (253, 245, 230)
    ORANGE, # (255, 40, 0)
    PINK, # (242, 90, 255)
    PURPLE, # (180, 0, 255)
    RED, # (255, 0, 0)
    TEAL, # (0, 255, 120)
    WHITE, # (255, 255, 255)
    YELLOW, # (255, 150, 0)
    RAINBOW # a list of colors to cycle through
    # RAINBOW is RED, ORANGE, YELLOW, GREEN, BLUE, and PURPLE ((255, 0, 0), (255, 40, 0), (255, 150, 0), (0, 255, 0), (0, 0, 255), (180, 0, 255))

)

strip = neopixel.NeoPixel(board.A1, 30, brightness = 0.5, auto_write = True)

def pulse_c(color):
    strip.brightness = 0.0
    strip.fill(color)
    for i in range(100):
        strip.brightness = i/100
        time.sleep(0.01)
    for i in range(100,-1,-1):
        strip.brightness = i/100
        time.sleep(0.01)

while True:
    print("Temperature F:", int(cp.temperature * 1.8 + 32))
    print("Temperature C:", int(cp.temperature))
    f_temp = int((cp.temperature*1.8)+32)
    c_temp = int(cp.temperature)
    time.sleep(2)
    if f_temp >= 80 or c_temp >= 27:
        pulse_c(RED)
    elif f_temp >= 70 or c_temp >= 21:
        pulse_c(ORANGE)
    elif f_temp >= 60 or c_temp >= 18:
        pulse_c(GREEN)
    elif f_temp >= 50 or c_temp >= 10:
        pulse_c(CYAN)
    elif f_temp >= 40 or c_temp >= 4:
        pulse_c(BLUE)
    elif f_temp <=32 or c_temp <= 0:
        pulse_c(WHITE)
    elif f_temp >= 95 or c_temp >= 35:
        pulse_c(BLACK)
